/*
  Copyright 2010-2012 Grégory Soutadé

  This file is part of KissCount.

  KissCount is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  KissCount is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with KissCount.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ACCOUNTAMOUNT_H
#define ACCOUNTAMOUNT_H

struct AccountAmount {
    int account;
    int month;
    int year;

    bool operator()(const AccountAmount& x, const AccountAmount& y) const
    {
        if (x.account != y.account)
            return x.account < y.account;

        return (x.year < y.year || ((x.year == y.year) && x.month < y.month));
    }
};

#endif
